Page MenuHomePhabricator

Merge blocker: 'Exception in module-execute in module wikibase.lexeme.widgets.InvalidLanguageIndicator:
Closed, ResolvedPublic

Description

CX patches are seemingly randomly failing with:
07:41:35 HeadlessChrome 71.0.3578 (Linux 0.0.0) LOG: 'Exception in module-execute in module wikibase.lexeme.widgets.InvalidLanguageIndicator:'
07:41:35 HeadlessChrome 71.0.3578 (Linux 0.0.0) WARN: TypeError: Cannot read property 'url' of null

Example https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/37939/console (from https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ContentTranslation/+/480896)

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMar 5 2019, 7:06 AM
Nikerabbit triaged this task as Unbreak Now! priority.Mar 5 2019, 7:06 AM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 5 2019, 7:06 AM

Assigning to Jakob initially

Change 494467 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Add required config value dependency to InvalidLanguageIndicator

https://gerrit.wikimedia.org/r/494467

Change 494467 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add required config value dependency to InvalidLanguageIndicator

https://gerrit.wikimedia.org/r/494467

Jakob_WMDE lowered the priority of this task from Unbreak Now! to Normal.Mar 6 2019, 10:03 AM

I believe this particular issue should be resolved. I'll lower the priority, but I'm fine if we want to keep it open for now.

Jdforrester-WMF closed this task as Resolved.Mar 13 2019, 11:58 PM
Jdforrester-WMF removed a project: Patch-For-Review.